package com.lz.modules.sys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.sys.entity.Resource;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ResourceMapper extends BaseMapper<Resource> {


	Resource selectResourceById(@Param("id") Long id);


	Long insertResource(Resource resource);


	int updateResourceById(Resource resource);


	int updateCoverResourceById(Resource resource);


	int deleteResourceById(@Param("id") Long id);

	Resource selectResourceByTypeAndSecType(@Param("type") String Type, @Param("secType") String secType);

}